/******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ "./src/edit.js":
/*!*********************!*\
  !*** ./src/edit.js ***!
  \*********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ Edit)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/element */ "@wordpress/element");
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @wordpress/i18n */ "@wordpress/i18n");
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _image__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./image */ "./src/image.js");
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! classnames */ "./node_modules/classnames/index.js");
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @wordpress/block-editor */ "@wordpress/block-editor");
/* harmony import */ var _wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @wordpress/components */ "@wordpress/components");
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @wordpress/data */ "@wordpress/data");
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _editor_scss__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./editor.scss */ "./src/editor.scss");









function Edit(props) {
  const {
    attributes,
    setAttributes,
    clientId
  } = props;
  const {
    images,
    blockId,
    icon,
    layoutStyle,
    layoutNavStyle,
    backgroundColor,
    textColor,
    fontSize,
    iconFontSize,
    preview,
    lightboxType,
    overImage,
    caption,
    oneThumb,
    pp_animation_speed,
    pp_autoplay,
    pp_time,
    pp_title,
    pp_social,
    cu_target,
    thumb_lightbox_size,
    item_show,
    item_show_900,
    item_show_600,
    loop,
    autoplay,
    smart_speed,
    margin,
    navigation,
    pagination,
    rtl
  } = attributes;
  const hasImages = images.length > 0;
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (!blockId) {
      setAttributes({
        blockId: clientId
      });
    }
  }, []);
  const onChangeIcon = newIcon => {
    setAttributes({
      icon: newIcon
    });
  };
  const onChangeLayoutStyle = newLayoutStyle => {
    setAttributes({
      layoutStyle: newLayoutStyle
    });
  };
  const onChangeLayoutNavStyle = newLayoutNavStyle => {
    setAttributes({
      layoutNavStyle: newLayoutNavStyle
    });
  };
  const onBackgroundColorChange = newBgColor => {
    setAttributes({
      backgroundColor: newBgColor
    });
  };
  const onTextColorChange = newTextColor => {
    setAttributes({
      textColor: newTextColor
    });
  };
  const onChangeFontSize = newFontSize => {
    setAttributes({
      fontSize: newFontSize
    });
  };
  const onChangeIconFontSize = newIconFontSize => {
    setAttributes({
      iconFontSize: newIconFontSize
    });
  };
  const onChangeLightboxType = newLightboxType => {
    setAttributes({
      lightboxType: newLightboxType
    });
  };
  const onChangeOverImage = newOverImage => {
    setAttributes({
      overImage: newOverImage
    });
  };
  const onChangeCaption = newCaption => {
    setAttributes({
      caption: newCaption
    });
  };
  const onChangeOneThumb = newOneThumb => {
    setAttributes({
      oneThumb: newOneThumb
    });
  };
  const onPPAnimationSspeed = newPPAnimationSspeed => {
    setAttributes({
      pp_animation_speed: newPPAnimationSspeed
    });
  };
  const onPPAutoplay = newPPAutoplay => {
    setAttributes({
      pp_autoplay: newPPAutoplay
    });
  };
  const onPPTime = newPPTime => {
    setAttributes({
      pp_time: newPPTime
    });
  };
  const onPPTitle = newPPTitle => {
    setAttributes({
      pp_title: newPPTitle
    });
  };
  const onPPSocial = newPPSocial => {
    setAttributes({
      pp_social: newPPSocial
    });
  };
  const onCuTarget = newCuTarget => {
    setAttributes({
      cu_target: newCuTarget
    });
  };
  const onChangeThumbLightboxSize = newThumbLightboxSize => {
    setAttributes({
      thumb_lightbox_size: newThumbLightboxSize
    });
  };
  const onChangeItemShow = newItemShow => {
    setAttributes({
      item_show: newItemShow
    });
  };
  const onChangeItemShow900 = newItemShow900 => {
    setAttributes({
      item_show_900: newItemShow900
    });
  };
  const onChangeItemShow600 = newItemShow600 => {
    setAttributes({
      item_show_600: newItemShow600
    });
  };
  const onChangeLoop = newLoop => {
    setAttributes({
      loop: newLoop
    });
  };
  const onChangeAutoplay = newAutoplay => {
    setAttributes({
      autoplay: newAutoplay
    });
  };
  const onChangeSmartSpeed = newSmartSpeed => {
    setAttributes({
      smart_speed: newSmartSpeed
    });
  };
  const onChangeMargin = newMargin => {
    setAttributes({
      margin: newMargin
    });
  };
  const onChangeNavigation = newNavigation => {
    setAttributes({
      navigation: newNavigation
    });
  };
  const onChangePagination = newPagination => {
    setAttributes({
      pagination: newPagination
    });
  };
  const onChangeRTL = newRTL => {
    setAttributes({
      rtl: newRTL
    });
  };
  const css_style_to_append = '.fastcarousel-' + blockId + ', .fastcarousel .fg-gallery-caption { --fgBackgroundColor: ' + backgroundColor + '; --fgTextColor: ' + textColor + '; --fgPadding: 0px; --fgPaddingPx: var(--fgPadding); --fgFontSize: ' + fontSize + 'px; --fgIconFontSize: ' + iconFontSize + 'px;}';
  script(blockId, attributes);
  var fg_responsive_class = 'fg_responsive';
  var type = 'fg-normal';
  var columns = '1';
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4__.InspectorControls, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Fast Carousel', 'fastcarousel-gutenberg'),
    icon: "more",
    initialOpen: true
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Lightbox Type', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('PrettyPhoto', 'fastcarousel-gutenberg'),
      value: 'prettyphoto'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Magnific Popup', 'fastcarousel-gutenberg'),
      value: 'magnific-popup'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Custom Url', 'fastcarousel-gutenberg'),
      value: 'custom_url'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Only Image (no Lightbox)', 'fastcarousel-gutenberg'),
      value: 'only_image'
    }],
    value: lightboxType,
    onChange: onChangeLightboxType
  }), (lightboxType == 'prettyphoto' || lightboxType == 'magnific-popup') && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Lightbox Image Size', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Large', 'fastcarousel-gutenberg'),
      value: 'large'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Full', 'fastcarousel-gutenberg'),
      value: 'full'
    }],
    value: thumb_lightbox_size,
    onChange: onChangeThumbLightboxSize
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style', 'fastcarousel-gutenberg'),
    icon: "more",
    initialOpen: false
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 1', 'fastcarousel-gutenberg'),
      value: 'fg_style1'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 2', 'fastcarousel-gutenberg'),
      value: 'fg_style2'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 3', 'fastcarousel-gutenberg'),
      value: 'fg_style3'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 4', 'fastcarousel-gutenberg'),
      value: 'fg_style4'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 5', 'fastcarousel-gutenberg'),
      value: 'fg_style5'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 6', 'fastcarousel-gutenberg'),
      value: 'fg_style6'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 7', 'fastcarousel-gutenberg'),
      value: 'fg_style7'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 8', 'fastcarousel-gutenberg'),
      value: 'fg_style8'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 9', 'fastcarousel-gutenberg'),
      value: 'fg_style9'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 10', 'fastcarousel-gutenberg'),
      value: 'fg_style10'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 11', 'fastcarousel-gutenberg'),
      value: 'fg_style11'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 12', 'fastcarousel-gutenberg'),
      value: 'fg_style12'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('No Style', 'fastcarousel-gutenberg'),
      value: 'fg_no_style'
    }],
    value: layoutStyle,
    onChange: onChangeLayoutStyle
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Navigation Style', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 1', 'fastcarousel-gutenberg'),
      value: 'fc_nav_style1'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 2', 'fastcarousel-gutenberg'),
      value: 'fc_nav_style2'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 3', 'fastcarousel-gutenberg'),
      value: 'fc_nav_style3'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 4', 'fastcarousel-gutenberg'),
      value: 'fc_nav_style4'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 5', 'fastcarousel-gutenberg'),
      value: 'fc_nav_style5'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 6', 'fastcarousel-gutenberg'),
      value: 'fc_nav_style6'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 7', 'fastcarousel-gutenberg'),
      value: 'fc_nav_style7'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Style 8', 'fastcarousel-gutenberg'),
      value: 'fc_nav_style8'
    }],
    value: layoutNavStyle,
    onChange: onChangeLayoutNavStyle
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Over Image', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('On', 'fastcarousel-gutenberg'),
      value: 'fg_over_image_on'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Off', 'fastcarousel-gutenberg'),
      value: 'fg_over_image_off'
    }],
    value: overImage,
    onChange: onChangeOverImage
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Caption', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Show', 'fastcarousel-gutenberg'),
      value: 'on'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Hidden', 'fastcarousel-gutenberg'),
      value: 'off'
    }],
    value: caption,
    onChange: onChangeCaption
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Icon Lightbox', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Plus', 'fastcarousel-gutenberg'),
      value: 'icon-plus'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Zoom', 'fastcarousel-gutenberg'),
      value: 'icon-zoomin'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Expand', 'fastcarousel-gutenberg'),
      value: 'icon-expand'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Image', 'fastcarousel-gutenberg'),
      value: 'icon-image'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Search', 'fastcarousel-gutenberg'),
      value: 'icon-search'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Binoculars', 'fastcarousel-gutenberg'),
      value: 'icon-binoculars'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Rocket', 'fastcarousel-gutenberg'),
      value: 'icon-rocket'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Airplane', 'fastcarousel-gutenberg'),
      value: 'icon-airplane'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Home', 'fastcarousel-gutenberg'),
      value: 'icon-home'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Pencil', 'fastcarousel-gutenberg'),
      value: 'icon-pencil'
    }],
    value: icon,
    onChange: onChangeIcon
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Font Size', 'fastcarousel-gutenberg'),
    isShiftStepEnabled: true,
    onChange: onChangeFontSize,
    shiftStep: 10,
    value: fontSize,
    max: "100",
    min: "1"
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Icon Font Size', 'fastcarousel-gutenberg'),
    isShiftStepEnabled: true,
    onChange: onChangeIconFontSize,
    shiftStep: 10,
    value: iconFontSize,
    max: "100",
    min: "1"
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Carousel Settings', 'fastcarousel-gutenberg'),
    icon: "more",
    initialOpen: false
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Number Item Show', 'fastcarousel-gutenberg'),
    isShiftStepEnabled: true,
    onChange: onChangeItemShow,
    shiftStep: 10,
    value: item_show,
    max: "9",
    min: "1"
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Item Show for content between 600px to 900px', 'fastcarousel-gutenberg'),
    isShiftStepEnabled: true,
    onChange: onChangeItemShow900,
    shiftStep: 10,
    value: item_show_900,
    max: "9",
    min: "1"
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Item Show for content between 0px to 599px', 'fastcarousel-gutenberg'),
    isShiftStepEnabled: true,
    onChange: onChangeItemShow600,
    shiftStep: 10,
    value: item_show_600,
    max: "9",
    min: "1"
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Loop', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('On', 'fastcarousel-gutenberg'),
      value: 'true'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Off', 'fastcarousel-gutenberg'),
      value: 'false'
    }],
    value: loop,
    onChange: onChangeLoop
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.__experimentalInputControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Autoplay (ms) - ex 2000 or leave empty for default', 'fastcarousel-gutenberg'),
    value: autoplay,
    onChange: onChangeAutoplay
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.__experimentalInputControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Speed (ms) - ex 2000 or leave empty for default', 'fastcarousel-gutenberg'),
    value: smart_speed,
    onChange: onChangeSmartSpeed
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Margin between Items - empty to disable. Or for example: 10', 'fastcarousel-gutenberg'),
    isShiftStepEnabled: true,
    onChange: onChangeMargin,
    shiftStep: 10,
    value: margin,
    max: "100",
    min: "0"
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Navigation', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('On', 'fastcarousel-gutenberg'),
      value: 'true'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Off', 'fastcarousel-gutenberg'),
      value: 'false'
    }],
    value: navigation,
    onChange: onChangeNavigation
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Pagination', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('On', 'fastcarousel-gutenberg'),
      value: 'true'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Off', 'fastcarousel-gutenberg'),
      value: 'false'
    }],
    value: pagination,
    onChange: onChangePagination
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('RTL', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Off', 'fastcarousel-gutenberg'),
      value: 'false'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('On', 'fastcarousel-gutenberg'),
      value: 'true'
    }],
    value: rtl,
    onChange: onChangeRTL
  })), lightboxType == 'prettyphoto' && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('PrettyPhoto Settings', 'fastcarousel-gutenberg'),
    icon: "more",
    initialOpen: false
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Animation Speed', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('fast ', 'fastcarousel-gutenberg'),
      value: 'fast'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('normal', 'fastcarousel-gutenberg'),
      value: 'normal'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('slow', 'fastcarousel-gutenberg'),
      value: 'slow'
    }],
    value: pp_animation_speed,
    onChange: onPPAnimationSspeed
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Autoplay', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('On ', 'fastcarousel-gutenberg'),
      value: 'true'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Off', 'fastcarousel-gutenberg'),
      value: 'false'
    }],
    value: pp_autoplay,
    onChange: onPPAutoplay
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.__experimentalInputControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Autoplay Time in ms (1000 = 1sec)', 'fastcarousel-gutenberg'),
    value: pp_time,
    onChange: onPPTime
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Show Title', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('On ', 'fastcarousel-gutenberg'),
      value: 'true'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Off', 'fastcarousel-gutenberg'),
      value: 'false'
    }],
    value: pp_title,
    onChange: onPPTitle
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Show Social', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('On ', 'fastcarousel-gutenberg'),
      value: 'true'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Off', 'fastcarousel-gutenberg'),
      value: 'false'
    }],
    value: pp_social,
    onChange: onPPSocial
  })), lightboxType == 'custom_url' && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Custom Url Settings', 'fastcarousel-gutenberg'),
    icon: "more",
    initialOpen: false
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Target', 'fastcarousel-gutenberg'),
    options: [{
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Blank (new window) ', 'fastcarousel-gutenberg'),
      value: '_blank'
    }, {
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Self (same window)', 'fastcarousel-gutenberg'),
      value: '_self'
    }],
    value: cu_target,
    onChange: onCuTarget
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4__.PanelColorSettings, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Color Settings', 'fastcarousel-gutenberg'),
    icon: "admin-appearance",
    initialOpen: true,
    disableCustomColors: false,
    enableAlpha: true,
    colorSettings: [{
      value: backgroundColor,
      onChange: onBackgroundColorChange,
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Background Color', 'fastcarousel-gutenberg')
    }, {
      value: textColor,
      onChange: onTextColorChange,
      label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Text Color', 'fastcarousel-gutenberg')
    }]
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4__.ContrastChecker, {
    textColor: textColor,
    backgroundColor: backgroundColor
  }))), hasImages && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4__.BlockControls, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.ToolbarGroup, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4__.MediaUploadCheck, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4__.MediaUpload, {
    multiple: true,
    gallery: true,
    addToGallery: true,
    onSelect: newImages => setAttributes({
      images: newImages
    }),
    allowedTypes: ["image"],
    value: images.map(image => image.id),
    render: _ref => {
      let {
        open
      } = _ref;
      return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_5__.ToolbarButton, {
        onClick: open
      }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Edit Carousel', 'fastcarousel-gutenberg'));
    }
  })))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", (0,_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4__.useBlockProps)(), hasImages && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    id: 'fastcarousel-' + blockId,
    className: 'gallery fastcarousel-' + blockId + ' fgg-' + lightboxType + ' gallery-columns-' + columns + ' gallery-size-' + type + ' fastcarousel fastcarouselgutenberg ' + type + ' ' + fg_responsive_class + ' ' + layoutStyle + ' ' + layoutNavStyle + ' ' + overImage + ' adt-custom-js',
    "data-fast-carousel-owl-items": item_show,
    "data-fast-carousel-owl-items900": item_show_900,
    "data-fast-carousel-owl-items600": item_show_600,
    "data-fast-carousel-owl-loop": loop,
    "data-fast-carousel-owl-autoplay": autoplay,
    "data-fast-carousel-owl-smart-speed": smart_speed,
    "data-fast-carousel-owl-navigation": navigation,
    "data-fast-carousel-owl-pagination": pagination,
    "data-fast-carousel-owl-margin": margin,
    "data-fast-carousel-owl-rtl": rtl,
    "data-custom-css": css_style_to_append
  }, images.map((image, index) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "fg-gallery-item",
    key: index
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "fastcarousel-gallery-icon"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "fg_zoom"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_image__WEBPACK_IMPORTED_MODULE_2__.Image, {
    id: image.id,
    type: type,
    columns: columns,
    attributes: attributes,
    lightboxType: lightboxType
  })), image.caption && caption == 'on' && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "fg-wp-caption-text fg-gallery-caption"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "caption-container"
  }, image.caption)))))), !hasImages && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4__.MediaPlaceholder, {
    multiple: true,
    gallery: true,
    icon: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_4__.BlockIcon, {
      icon: "format-gallery"
    }),
    labels: {
      title: "Fast Carousel",
      instructions: "Create an awesome carousel in one minute"
    },
    onSelect: newImages => setAttributes({
      images: newImages
    })
  })));
}
function script(id, attributes) {
  jQuery(document).ready(function ($) {
    'use script';

    $(".adt-custom-js").each(function (index) {
      var custom_css = "<style id='fcg-custom-css'>" + $(this).attr("data-custom-css") + "</style>";
      $(custom_css).appendTo("head");
    });
    $('.fastcarousel').bind('click', function (e) {
      e.preventDefault();
    });
    const carousel_run = setTimeout(carousel_function, 3000);
    function carousel_function() {
      $('.fastcarouselgutenberg').each(function () {
        $(this).trigger('destroy.owl.carousel').removeClass('owl-carousel owl-loaded');
        $(this).find('.owl-stage-outer').children().unwrap();
        var $carousel = $(this);
        $carousel.owlCarousel({
          dots: true,
          nav: true,
          loop: $carousel.attr("data-fast-carousel-owl-loop"),
          smartSpeed: $carousel.attr("data-fast-carousel-owl-smart-speed"),
          autoplayHoverPause: true,
          autoplay: true,
          autoplayTimeout: $carousel.attr("data-fast-carousel-owl-autoplay"),
          navText: ['<i class="icon-arrow-left"></i>', '<i class="icon-arrow-right"></i>'],
          responsive: {
            0: {
              items: $carousel.attr("data-fast-carousel-owl-items600")
            },
            600: {
              items: $carousel.attr("data-fast-carousel-owl-items900")
            },
            1000: {
              items: $carousel.attr("data-fast-carousel-owl-items")
            }
          }
        });
      });
    }
  });
}

/***/ }),

/***/ "./src/image.js":
/*!**********************!*\
  !*** ./src/image.js ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Image": () => (/* binding */ Image)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/element */ "@wordpress/element");
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @wordpress/data */ "@wordpress/data");
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! classnames */ "./node_modules/classnames/index.js");
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_2__);



const Image = _ref => {
  let {
    attributes: attributes,
    id: postId,
    type: type,
    columns: columns,
    lightboxType: lightboxType
  } = _ref;
  return (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_1__.useSelect)(select => {
    const info = select('core').getMedia(postId);
    const loading = '<span className="fg-zoom-icon icon-spinner"></span>';
    var lightboxContainer;
    if (info) {
      if (info.media_details.sizes.hasOwnProperty('large') && attributes['thumb_lightbox_size'] == 'large') {
        var url_lightbox = info.media_details.sizes.large.source_url;
      } else {
        var url_lightbox = info.media_details.sizes.full.source_url;
      }
      if (lightboxType == 'prettyphoto') {
        var lightboxContainer = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", {
          href: url_lightbox,
          title: info.title.raw,
          "data-rel-fg": "prettyPhoto[album-1]"
        }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
          className: "fg-zoom-icon " + attributes['icon']
        }));
      } else if (lightboxType == 'magnific-popup') {
        var lightboxContainer = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", {
          href: url_lightbox,
          title: info.title.raw,
          className: "fg_magnificPopup"
        }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
          className: "fg-zoom-icon " + attributes['icon']
        }));
      } else if (lightboxType == 'custom_url') {
        var url_lightbox = info.meta._custom_url;
        var lightboxContainer = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", {
          href: url_lightbox,
          title: info.title.raw
        }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
          className: "fg-zoom-icon " + attributes['icon']
        }));
      }
      if (type == 'fg-normal' && info.media_details.sizes.hasOwnProperty('fggrid')) {
        const height = info.media_details.sizes.fggrid.height;
        const width = info.media_details.sizes.fggrid.width;
        const source_url = info.media_details.sizes.fggrid.source_url;
        return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
          src: source_url,
          heigh: height,
          width: width,
          className: 'col-xs-' + columns
        }), lightboxContainer);
      } else if (type == 'fg-masonry' && info.media_details.sizes.hasOwnProperty('fgmasonry')) {
        const height = info.media_details.sizes.fgmasonry.height;
        const width = info.media_details.sizes.fgmasonry.width;
        const source_url = info.media_details.sizes.fgmasonry.source_url;
        return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
          src: source_url,
          heigh: height,
          width: width,
          className: 'col-xs-' + columns
        }), lightboxContainer);
      } else {
        const height = info.media_details.sizes.medium.height;
        const width = info.media_details.sizes.medium.width;
        const source_url = info.media_details.sizes.medium.source_url;
        return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
          src: source_url,
          heigh: height,
          width: width,
          className: 'col-xs-' + columns
        }), lightboxContainer);
      }
    } else {
      return loading;
    }
  }, [attributes]);
};

/***/ }),

/***/ "./src/index.js":
/*!**********************!*\
  !*** ./src/index.js ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_blocks__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/blocks */ "@wordpress/blocks");
/* harmony import */ var _wordpress_blocks__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_blocks__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./style.scss */ "./src/style.scss");
/* harmony import */ var _edit__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./edit */ "./src/edit.js");
/* harmony import */ var _save__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./save */ "./src/save.js");
/* harmony import */ var _block_json__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./block.json */ "./src/block.json");





(0,_wordpress_blocks__WEBPACK_IMPORTED_MODULE_0__.registerBlockType)(_block_json__WEBPACK_IMPORTED_MODULE_4__.name, {
  edit: _edit__WEBPACK_IMPORTED_MODULE_2__["default"],
  save: _save__WEBPACK_IMPORTED_MODULE_3__["default"]
});

/***/ }),

/***/ "./src/save.js":
/*!*********************!*\
  !*** ./src/save.js ***!
  \*********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ save)
/* harmony export */ });
function save() {
  return null;
}

/***/ }),

/***/ "./node_modules/classnames/index.js":
/*!******************************************!*\
  !*** ./node_modules/classnames/index.js ***!
  \******************************************/
/***/ ((module, exports) => {

var __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;/*!
	Copyright (c) 2018 Jed Watson.
	Licensed under the MIT License (MIT), see
	http://jedwatson.github.io/classnames
*/
/* global define */

(function () {
	'use strict';

	var hasOwn = {}.hasOwnProperty;
	var nativeCodeString = '[native code]';

	function classNames() {
		var classes = [];

		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			if (!arg) continue;

			var argType = typeof arg;

			if (argType === 'string' || argType === 'number') {
				classes.push(arg);
			} else if (Array.isArray(arg)) {
				if (arg.length) {
					var inner = classNames.apply(null, arg);
					if (inner) {
						classes.push(inner);
					}
				}
			} else if (argType === 'object') {
				if (arg.toString !== Object.prototype.toString && !arg.toString.toString().includes('[native code]')) {
					classes.push(arg.toString());
					continue;
				}

				for (var key in arg) {
					if (hasOwn.call(arg, key) && arg[key]) {
						classes.push(key);
					}
				}
			}
		}

		return classes.join(' ');
	}

	if ( true && module.exports) {
		classNames.default = classNames;
		module.exports = classNames;
	} else if (true) {
		// register as 'classnames', consistent with npm package name
		!(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_RESULT__ = (function () {
			return classNames;
		}).apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__),
		__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
	} else {}
}());


/***/ }),

/***/ "./src/editor.scss":
/*!*************************!*\
  !*** ./src/editor.scss ***!
  \*************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ "./src/style.scss":
/*!************************!*\
  !*** ./src/style.scss ***!
  \************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ "@wordpress/block-editor":
/*!*************************************!*\
  !*** external ["wp","blockEditor"] ***!
  \*************************************/
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["blockEditor"];

/***/ }),

/***/ "@wordpress/blocks":
/*!********************************!*\
  !*** external ["wp","blocks"] ***!
  \********************************/
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["blocks"];

/***/ }),

/***/ "@wordpress/components":
/*!************************************!*\
  !*** external ["wp","components"] ***!
  \************************************/
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["components"];

/***/ }),

/***/ "@wordpress/data":
/*!******************************!*\
  !*** external ["wp","data"] ***!
  \******************************/
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["data"];

/***/ }),

/***/ "@wordpress/element":
/*!*********************************!*\
  !*** external ["wp","element"] ***!
  \*********************************/
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["element"];

/***/ }),

/***/ "@wordpress/i18n":
/*!******************************!*\
  !*** external ["wp","i18n"] ***!
  \******************************/
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["i18n"];

/***/ }),

/***/ "./src/block.json":
/*!************************!*\
  !*** ./src/block.json ***!
  \************************/
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"$schema":"https://schemas.wp.org/trunk/block.json","apiVersion":2,"name":"adtheme/fastcarousel","version":"1.0.0","title":"Fast Carousel Gutenberg","category":"widgets","icon":"format-gallery","keywords":["carousel","adtheme","fast"],"description":"Create your carousel in one minute","supports":{"html":false},"attributes":{"preview":{"type":"boolean","default":false},"images":{"type":"array","default":[]},"columns":{"type":"string","default":"4"},"lightboxType":{"type":"string","default":"magnific-popup"},"overImage":{"type":"string","default":"fg_over_image_on"},"caption":{"type":"string","default":"on"},"oneThumb":{"type":"string","default":"off"},"icon":{"type":"string","default":"icon-plus"},"blockId":{"type":"string"},"type":{"type":"string","default":"fg-normal"},"layoutStyle":{"type":"string","default":"fg_style1"},"layoutNavStyle":{"type":"string","default":"fc_nav_style1"},"backgroundColor":{"type":"string","default":"#000000"},"textColor":{"type":"string","default":"#FFFFFF"},"fontSize":{"type":"string","default":"12"},"iconFontSize":{"type":"string","default":"18"},"pp_animation_speed":{"type":"string","default":"normal"},"pp_autoplay":{"type":"string","default":"true"},"pp_time":{"type":"string","default":"2000"},"pp_title":{"type":"string","default":"true"},"pp_social":{"type":"string","default":"true"},"cu_target":{"type":"string","default":"_blank"},"thumb_lightbox_size":{"type":"string","default":"large"},"item_show":{"type":"string","default":"3"},"item_show_900":{"type":"string","default":"3"},"item_show_600":{"type":"string","default":"3"},"loop":{"type":"string","default":"true"},"autoplay":{"type":"string","default":"2000"},"smart_speed":{"type":"string","default":"2000"},"margin":{"type":"string","default":"0"},"navigation":{"type":"string","default":"true"},"pagination":{"type":"string","default":"true"},"rtl":{"type":"string","default":"false"}},"textdomain":"fastcarousel-gutenberg","editorScript":"file:./index.js","editorStyle":"file:./index.css","style":"file:./style-index.css"}');

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = __webpack_modules__;
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/chunk loaded */
/******/ 	(() => {
/******/ 		var deferred = [];
/******/ 		__webpack_require__.O = (result, chunkIds, fn, priority) => {
/******/ 			if(chunkIds) {
/******/ 				priority = priority || 0;
/******/ 				for(var i = deferred.length; i > 0 && deferred[i - 1][2] > priority; i--) deferred[i] = deferred[i - 1];
/******/ 				deferred[i] = [chunkIds, fn, priority];
/******/ 				return;
/******/ 			}
/******/ 			var notFulfilled = Infinity;
/******/ 			for (var i = 0; i < deferred.length; i++) {
/******/ 				var chunkIds = deferred[i][0];
/******/ 				var fn = deferred[i][1];
/******/ 				var priority = deferred[i][2];
/******/ 				var fulfilled = true;
/******/ 				for (var j = 0; j < chunkIds.length; j++) {
/******/ 					if ((priority & 1 === 0 || notFulfilled >= priority) && Object.keys(__webpack_require__.O).every((key) => (__webpack_require__.O[key](chunkIds[j])))) {
/******/ 						chunkIds.splice(j--, 1);
/******/ 					} else {
/******/ 						fulfilled = false;
/******/ 						if(priority < notFulfilled) notFulfilled = priority;
/******/ 					}
/******/ 				}
/******/ 				if(fulfilled) {
/******/ 					deferred.splice(i--, 1)
/******/ 					var r = fn();
/******/ 					if (r !== undefined) result = r;
/******/ 				}
/******/ 			}
/******/ 			return result;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/jsonp chunk loading */
/******/ 	(() => {
/******/ 		// no baseURI
/******/ 		
/******/ 		// object to store loaded and loading chunks
/******/ 		// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 		// [resolve, reject, Promise] = chunk loading, 0 = chunk loaded
/******/ 		var installedChunks = {
/******/ 			"index": 0,
/******/ 			"./style-index": 0
/******/ 		};
/******/ 		
/******/ 		// no chunk on demand loading
/******/ 		
/******/ 		// no prefetching
/******/ 		
/******/ 		// no preloaded
/******/ 		
/******/ 		// no HMR
/******/ 		
/******/ 		// no HMR manifest
/******/ 		
/******/ 		__webpack_require__.O.j = (chunkId) => (installedChunks[chunkId] === 0);
/******/ 		
/******/ 		// install a JSONP callback for chunk loading
/******/ 		var webpackJsonpCallback = (parentChunkLoadingFunction, data) => {
/******/ 			var chunkIds = data[0];
/******/ 			var moreModules = data[1];
/******/ 			var runtime = data[2];
/******/ 			// add "moreModules" to the modules object,
/******/ 			// then flag all "chunkIds" as loaded and fire callback
/******/ 			var moduleId, chunkId, i = 0;
/******/ 			if(chunkIds.some((id) => (installedChunks[id] !== 0))) {
/******/ 				for(moduleId in moreModules) {
/******/ 					if(__webpack_require__.o(moreModules, moduleId)) {
/******/ 						__webpack_require__.m[moduleId] = moreModules[moduleId];
/******/ 					}
/******/ 				}
/******/ 				if(runtime) var result = runtime(__webpack_require__);
/******/ 			}
/******/ 			if(parentChunkLoadingFunction) parentChunkLoadingFunction(data);
/******/ 			for(;i < chunkIds.length; i++) {
/******/ 				chunkId = chunkIds[i];
/******/ 				if(__webpack_require__.o(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 					installedChunks[chunkId][0]();
/******/ 				}
/******/ 				installedChunks[chunkId] = 0;
/******/ 			}
/******/ 			return __webpack_require__.O(result);
/******/ 		}
/******/ 		
/******/ 		var chunkLoadingGlobal = self["webpackChunkfastcarousel_gutenberg"] = self["webpackChunkfastcarousel_gutenberg"] || [];
/******/ 		chunkLoadingGlobal.forEach(webpackJsonpCallback.bind(null, 0));
/******/ 		chunkLoadingGlobal.push = webpackJsonpCallback.bind(null, chunkLoadingGlobal.push.bind(chunkLoadingGlobal));
/******/ 	})();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module depends on other loaded chunks and execution need to be delayed
/******/ 	var __webpack_exports__ = __webpack_require__.O(undefined, ["./style-index"], () => (__webpack_require__("./src/index.js")))
/******/ 	__webpack_exports__ = __webpack_require__.O(__webpack_exports__);
/******/ 	
/******/ })()
;
//# sourceMappingURL=index.js.map