<?php

function fastcarousel_block_render_callback($attributes) {
	$fg_thumbs_lightbox = $attributes['thumb_lightbox_size'];
	$custom_url_target = $attributes['cu_target'];
	$itemtag 	= 'div'; 
	$icontag 	= 'div';
	$captiontag = 'div';	
	$fg_responsive_class = 'fg_responsive';

	$fg_responsive_class = 'fg_responsive';
	$type = 'fg-normal';
	$columns = '1';


	if($attributes['lightboxType'] == 'prettyphoto') {
		$data_attr = 'data-pp-animation-speed="'.$attributes['pp_animation_speed'].'" 
		data-pp-time="'.$attributes['pp_time'].'"
		data-pp-autoplay="'.$attributes['pp_autoplay'].'"
		data-pp-title="'.$attributes['pp_title'].'"
		data-pp-social="'.$attributes['pp_social'].'"
		';
	} else {
		$data_attr = '';
	}
	
	$css_style_to_append = '.fastcarousel-'.$attributes['blockId'].', .fastcarousel .fg-gallery-caption { --fgBackgroundColor: '.$attributes['backgroundColor'].'; --fgTextColor: '.$attributes['textColor'].'; --fgPadding: 0px; --fgPaddingPx: var(--fgPadding); --fgFontSize: '.$attributes['fontSize'].'px; --fgIconFontSize: '.$attributes['iconFontSize'].'px; }';

	$return = '<div id="fastcarousel-'.$attributes['blockId'].'"
					class="gallery fastcarousel-'.$attributes['blockId'].' 
					fgg-'.$attributes['lightboxType'].' 
					gallery-columns-1 
					gallery-size-fg-normal
					fastcarousel fastcarouselgutenberg 
					fg-normal
					'.$fg_responsive_class.' 
					'.$attributes['layoutStyle'].'  
					'.$attributes['layoutNavStyle'].' 
					'.$attributes['overImage'].'
					adt-custom-js"
					data-fast-carousel-owl-items="'.$attributes['item_show'].'"
					data-fast-carousel-owl-items900="'.$attributes['item_show_900'].'"
					data-fast-carousel-owl-items600="'.$attributes['item_show_600'].'"
					data-fast-carousel-owl-loop="'.$attributes['loop'].'"
					data-fast-carousel-owl-autoplay="'.$attributes['autoplay'].'"
					data-fast-carousel-owl-smart-speed="'.$attributes['smart_speed'].'"
					data-fast-carousel-owl-navigation="'.$attributes['navigation'].'" 
					data-fast-carousel-owl-pagination="'.$attributes['pagination'].'"
					data-fast-carousel-owl-margin="'.$attributes['margin'].'"  
					data-fast-carousel-owl-rtl="'.$attributes['rtl'].'"					
					data-custom-css="'.$css_style_to_append.'"
					'.$data_attr.'>';
				foreach ( $attributes['images'] as $image ) {
							$id = $image['id'];
					$_post = get_post( $id );
					$image_attributes = wp_get_attachment_image_src( $_post->ID, $fg_thumbs_lightbox );
					
					if($attributes['lightboxType'] == 'custom_url') {					
						$url = get_post_meta( $id, '_custom_url', true );						
					} else {
						$url = $image_attributes[0];
					}
					
					$attachment_caption_array = get_post( $_post->ID );
					$attachment_caption	= $attachment_caption_array->post_excerpt;
					
					if($attributes['type'] == 'fg-normal') {
						$link_text = wp_get_attachment_image( $id , 'fggrid');
					} else {
						$link_text = wp_get_attachment_image( $id , 'fgmasonry');
					}
					
					
					if($attributes['lightboxType'] == 'custom_url') {
						$image_output = "<div class='fg_zoom'>$link_text<a href='$url' target='$custom_url_target'><span class='fg-zoom-icon ".$attributes['icon']."'></span></a></div>";					
					} else {
						$image_output = "<div class='fg_zoom'>$link_text<a href='$url' title=\"$attachment_caption\" data-rel-fg='prettyPhoto[album-1]' class='fg_magnificPopup'><span class='fg-zoom-icon ".$attributes['icon']."'></span><span style='display:none'>$link_text</span></a></div>";							
					}
					$return .= "<{$itemtag} class='fg-gallery-item'>";
					// CHECK CAPTION
					$caption_check = '';
					if($attributes['caption'] == 'off' || empty($attachment_caption)) {
						$caption_check = 'no-caption';
					}
					// END CHECK CAPTION
					
					$return .= "
					<{$icontag} class='fastcarousel-gallery-icon $caption_check'>$image_output";
					if ($attributes['caption'] == 'on' && !empty($attachment_caption)) {
					$return .= "
						<{$captiontag} class='fg-wp-caption-text fg-gallery-caption'><div class='caption-container'>
						" . $attachment_caption . "
						</div></{$captiontag}>";
					}
					$return .= "</{$icontag}></{$itemtag}>";
					}
					$return .= "
					</div>\n";
	
	return $return;
}