<?php
function fastcarousel_gutenberg_add_image_sizes() {
	add_image_size( 'fggrid', 800 , 800 , true);
}
add_action( 'init', 'fastcarousel_gutenberg_add_image_sizes' );


add_action( 'wp_enqueue_scripts', 'fastcarousel_gutenberg_scripts' );
add_action( 'enqueue_block_editor_assets', 'fastcarousel_gutenberg_scripts' );

function fastcarousel_gutenberg_scripts() {
		if ( ! function_exists( 'register_block_type' ) ) {
			return;
		}
	
		// Load WP jQuery if not included
		wp_enqueue_script('jquery');
		
		// Main
		wp_register_style( 'fcg-fonts',  FCG_URL . 'assets/css/fonts.css'); 
		wp_register_style( 'fcg-style',  FCG_URL . 'assets/css/style.css'); 
		wp_register_script('fcg-main', FCG_URL . 'assets/js/fast-carousel.js');
		
		// PRETTYPHOTO		   
		wp_register_script('prettyPhoto', FCG_URL . 'assets/js/vendor/jquery.prettyPhoto.js');
		wp_register_style( 'prettyPhoto',  FCG_URL . 'assets/css/prettyPhoto.css');
		
		// MAGNIFIC POPUP
		wp_register_script('magnific-popup', FCG_URL . 'assets/js/vendor/jquery.magnific-popup.js');
		wp_register_style( 'magnific-popup', FCG_URL . 'assets/css/magnific-popup.css');
		
		// Carousel
		wp_register_style( 'owlcarousel',  FCG_URL . 'assets/css/owl.carousel.css');
		wp_register_style( 'owltheme',  FCG_URL . 'assets/css/owl.theme.css');
		wp_register_script( 'owlcarousel',  FCG_URL . 'assets/js/vendor/owl.carousel.js');
		
		if ( has_block( 'adtheme/fastcarousel' ) || is_admin()) {
			wp_enqueue_style('fcg-fonts');
			wp_enqueue_style('fcg-style');
			wp_enqueue_style('prettyPhoto');			
			wp_enqueue_style('owlcarousel');			
			wp_enqueue_style('owltheme');			
			wp_enqueue_script('owlcarousel');
			wp_enqueue_script('prettyPhoto');
			wp_enqueue_style('magnific-popup');
			wp_enqueue_script('magnific-popup');			
		}
		if ( has_block( 'adtheme/fastcarousel') && !is_admin() ) {
			wp_enqueue_script('fcg-main');
			wp_enqueue_style('fcg-fonts');
			wp_enqueue_style('owlcarousel');			
			wp_enqueue_style('owltheme');			
			wp_enqueue_script('owlcarousel');			
		}

}